Vue.component('subpedido-select', {
	data() {
		return {
			subpedido: null,
			subpedidosExistentes: []
		}
	},
	props: ["gdcid"],
	mounted() {
		console.log("ready");
  	},
	methods: {
  		onType() {
	    	axios.get("/api/subpedidos?nombre=" + this.subpedido).then(response => {
	    		this.subpedidosExistentes = response.data
	    	});
  		},
  		submit() {
  			axios.post("/api/subpedidos", {
  				nombre: this.subpedido,
  				grupo_de_compra_id: this.gdcid
  			}).then(response => {
  				axios.post("/subpedidos/guardar_sesion", {
  					subpedido: response.data
  				}).then(response => {
  					if (response.status == 200) {
  						window.location.href = 'productos';
  					} else {
  						console.log(response);
  					}
  				});
  			});
  		}
  	}
});